# std::time_base Class Reference

Inheritance diagram for std::time_base:

List of all members.

## Detailed Description

This class provides an enum representing different orderings of day, month, and year.

Definition at line 2745 of file locale_facets.h.

## Public Types

- enum dateorder {
  no_order, dmy, mdy, ymd,
  ydm
  }

The documentation for this class was generated from the following file:

- locale_facets.h